package com.xintong.visualinspection.service;

import java.util.List;

import com.xintong.visualinspection.bean.Constant;
import com.xintong.visualinspection.bean.Task;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface TaskService {
    public List<Task> getAll();
    public Constant getById(Long id);
    public List<Task> getByFlag();
    public Constant getByFlagAndValue(String flag, int value);
    public void insert(Task task);
    public void update(Task task);
    public void delete(Long id);
}
